# Generated by Django 2.0.1 on 2018-02-03 22:57

from django.db import migrations, models
import django.db.models.deletion


def migrate_recurrence_types(apps, schema_editor):
    RecurringTransaction = apps.get_model('silverstrike', 'RecurringTransaction')
    # weekly transactions are disabled
    RecurringTransaction.objects.filter(recurrence=1).update(recurrence=0)
    # monthly transactions get new id
    RecurringTransaction.objects.filter(recurrence=2).update(recurrence=1)
    # annual transactions get new id
    RecurringTransaction.objects.filter(recurrence=3).update(recurrence=4)


class Migration(migrations.Migration):

    dependencies = [
        ('silverstrike', '0003_auto_20171214_1557'),
    ]

    operations = [
        migrations.RunPython(migrate_recurrence_types),
        migrations.AlterField(
            model_name='recurringtransaction',
            name='recurrence',
            field=models.IntegerField(choices=[(0, 'Disabled'), (1, 'Monthly'), (2, 'Quarterly'), (3, 'Biannually'), (4, 'Annually')]),
        ),
    ]
